提交 2b5f1b2d 作者: Christian Couder

Install sharness in a 'sharness' directory

It is cleaner if sharness is installed in its own
directory.
上级 39c1930e
sharness/
test-results/ test-results/
trash directory.*.sh/ trash directory.*.sh/
...@@ -5,6 +5,7 @@ ...@@ -5,6 +5,7 @@
# #
T = $(sort $(wildcard t[0-9][0-9][0-9][0-9]-*.sh)) T = $(sort $(wildcard t[0-9][0-9][0-9][0-9]-*.sh))
SHARNESS = sharness/sharness.sh
all: clean deps $(T) aggregate all: clean deps $(T) aggregate
...@@ -20,21 +21,22 @@ aggregate: ...@@ -20,21 +21,22 @@ aggregate:
@echo "*** $@ ***" @echo "*** $@ ***"
./test-aggregate-results.sh ./test-aggregate-results.sh
deps: ipfs sharness.sh random deps: $(SHARNESS) ipfs random
$(SHARNESS):
@echo "*** installing $@ ***"
./install-sharness.sh
# phony to ensure we re-build it every time we run tests # phony to ensure we re-build it every time we run tests
ipfs: ipfs:
@echo "*** installing $@ ***"
cd ../cmd/ipfs && go build cd ../cmd/ipfs && go build
cp ../cmd/ipfs/ipfs ipfs cp ../cmd/ipfs/ipfs ipfs
sharness.sh:
@echo "*** installing $@ ***"
./install-sharness.sh
.PHONY: all clean $(T) aggregate ipfs
random: random:
@echo "*** installing $@ ***" @echo "*** installing $@ ***"
go get github.com/jbenet/go-random/random go get github.com/jbenet/go-random/random
go install github.com/jbenet/go-random/random go install github.com/jbenet/go-random/random
cp `which random` random cp `which random` random
.PHONY: all clean $(T) aggregate ipfs random
...@@ -16,6 +16,11 @@ shash=eeaf96630fc25ec58fb678b64ef9772d5eb92f64 ...@@ -16,6 +16,11 @@ shash=eeaf96630fc25ec58fb678b64ef9772d5eb92f64
afile=aggregate-results.sh afile=aggregate-results.sh
ahash=948d6bc03222c5c00a1ed048068508d5ea1cce59 ahash=948d6bc03222c5c00a1ed048068508d5ea1cce59
die() {
echo >&2 $@
exit 1
}
verified_download() { verified_download() {
file=$1 file=$1
hash1=$2 hash1=$2
...@@ -34,6 +39,8 @@ verified_download() { ...@@ -34,6 +39,8 @@ verified_download() {
return 0 return 0
} }
mkdir -p sharness || die "Could not create 'sharness' directory"
cd sharness || die "Could not cd into 'sharness' directory"
verified_download "$sfile" "$shash"; sok=$? verified_download "$sfile" "$shash"; sok=$?
verified_download "$afile" "$ahash"; aok=$? verified_download "$afile" "$ahash"; aok=$?
......
...@@ -6,7 +6,7 @@ ...@@ -6,7 +6,7 @@
# MIT Licensed; see the LICENSE file in this repository. # MIT Licensed; see the LICENSE file in this repository.
# #
SHARNESS_AGGREGATE="./aggregate-results.sh" SHARNESS_AGGREGATE="sharness/aggregate-results.sh"
test -f "$SHARNESS_AGGREGATE" || { test -f "$SHARNESS_AGGREGATE" || {
echo >&2 "Cannot find: $SHARNESS_AGGREGATE" echo >&2 "Cannot find: $SHARNESS_AGGREGATE"
......
...@@ -18,7 +18,7 @@ if test `which ipfs` != $(pwd)/ipfs; then ...@@ -18,7 +18,7 @@ if test `which ipfs` != $(pwd)/ipfs; then
exit 1 exit 1
fi fi
SHARNESS_LIB="./sharness.sh" SHARNESS_LIB="sharness/sharness.sh"
. "$SHARNESS_LIB" || { . "$SHARNESS_LIB" || {
echo >&2 "Cannot source: $SHARNESS_LIB" echo >&2 "Cannot source: $SHARNESS_LIB"
......
Markdown 格式
0%
您添加了 0 到此讨论。请谨慎行事。
请先完成此评论的编辑!
注册 或者 后发表评论